Subject: Re: [bug#50812] [PATCH v2 1/5] gnu: Add proj 7.2.1.

From: Xinglu Chen <[email-masked]>
Date: Mon, 27 Sep 2021 14:36:08 +0200

On Mon, Sep 27 2021, Felix Gruber wrote:

> On 9/26/21 10:34 PM, Xinglu Chen wrote:
>> On Sun, Sep 26 2021, Felix Gruber wrote:
>> 
>>> * gnu/packages/geo.scm (proj.7): New variable.
>>> ---
>>>  gnu/packages/geo.scm | 39 +++++++++++++++++++++++++++++++++++++++
>>>  1 file changed, 39 insertions(+)
>>>
>>> diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
>>> index 9d4a1a8955..c10b93d83f 100644
>>> --- a/gnu/packages/geo.scm
>>> +++ b/gnu/packages/geo.scm
>>> @@ -511,6 +511,45 @@ fully fledged Spatial SQL capabilities.")
>>>                     license:mpl1.1
>>>                     license:public-domain))))
>>>  
>>> +(define-public proj.7
>> 
>> Hyphens are typically used to denote a specific version of a package,
>> e.g., ghc-8.8.
>
> I've named the package proj.7 as there is already a proj.4 package for
> an old API-incompatible version of proj. But you're right that this is
> inconsistent with how most version-specific packages are named.
>
> Maybe we should rename proj.4? I wonder if there was a reason for naming
> it this way in the first place?

Yes, I think renaming it to ‘proj-4’ would be a good idea.